package com.mirs.biz.mapper;

import java.util.List;
import com.mirs.biz.domain.BrdfData;
import org.apache.ibatis.annotations.Param;

/**
 * BRDF数据Mapper接口
 * 
 * @author kk
 * @date 2025-04-24
 */
public interface BrdfDataMapper 
{
    /**
     * 查询BRDF数据
     * 
     * @param id BRDF数据主键
     * @return BRDF数据
     */
    public BrdfData selectBrdfDataById(Long id);

    /**
     * 查询BRDF数据列表
     * 
     * @param brdfData BRDF数据
     * @return BRDF数据集合
     */
    public List<BrdfData> selectBrdfDataList(BrdfData brdfData);

    /**
     * 新增BRDF数据
     * 
     * @param brdfData BRDF数据
     * @return 结果
     */
    public int insertBrdfData(BrdfData brdfData);

    /**
     * 修改BRDF数据
     * 
     * @param brdfData BRDF数据
     * @return 结果
     */
    public int updateBrdfData(BrdfData brdfData);

    /**
     * 删除BRDF数据
     * 
     * @param id BRDF数据主键
     * @return 结果
     */
    public int deleteBrdfDataById(Long id);

    /**
     * 批量删除BRDF数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBrdfDataByIds(Long[] ids);

    List getThetaIncident(BrdfData brdfData);

    List getPhiIncident(BrdfData brdfData);

    List getThetaReflected(BrdfData brdfData);

    List getPhiReflected(BrdfData brdfData);

    List getTemperatureK();

    void batchInsertBrdfData(@Param("list")List<BrdfData> subList);
}
